package com.ycwl.basic.model.wxPay;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Author: songmingsong
 * @CreateTime: 2024-12-05
 * @Description: 支付返回类
 * @Version: 1.0
 */
@Data
@Accessors(chain = true)
public class WxPayRespVO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 预支付交易会话标识小程序下单接口返回的prepay_id参数值
     */
    @ApiModelProperty("预支付交易会话标识小程序下单接口返回的prepay_id参数值")
    private String prepayId;
    /**
     * 随机字符串
     */
    @ApiModelProperty("随机字符串")
    private String nonceStr;
    /**
     * 时间戳
     */
    @ApiModelProperty("时间戳")
    private Long timeStamp;
    /**
     * 签名
     */
    @ApiModelProperty("签名")
    private String paySign;
}
