package com.ycwl.basic.model.mobile.goods;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author：longbinbin
 * @Date：2024/12/5 16:35
 */
@Data
@ApiModel("查询商品价格请求参数")
public class GoodsPriceQueryReq {
    @ApiModelProperty("景区id")
    private Long scenicId;
    @ApiModelProperty("商品类型 1:成片vlog 2:源素材")
    private Integer goodsType;
    @ApiModelProperty("商品id goodsType=1时才有值")
    private Long goodsId;
}
