package com.ycwl.basic.model.wxPay;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @Author: songmingsong
 * @CreateTime: 2024-12-05
 * @Description: 预支付请求类
 * @Version: 1.0
 */
@Data
@Accessors(chain = true)
public class WXPayOrderReqVO {

    @ApiModelProperty(value = "总金额(单位：分)",required = true)
    private Integer totalPrice;

    @ApiModelProperty(value = "商品名称",required = true)
    private String goodsName;

    @ApiModelProperty(value = "openid",required = true)
    private String openId;

    @ApiModelProperty(value = "商品订单号",required = true)
    private Long orderSn;
}
