package com.ycwl.basic.service;

import com.ycwl.basic.utils.OssUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Objects;

/**
 * file请求服务
 *
 * @author songmingsong
 */
@Service
public class FileService {

    @Autowired
    private OssUtil ossUtil;

    public String uploadFile(MultipartFile file) throws IOException {
        return ossUtil.uploadFile(file.getInputStream(), Objects.requireNonNull(file.getOriginalFilename()));
    }

    public Boolean delete(String fileName) {
        return ossUtil.deleteFile(fileName);
    }
}
