package com.ycwl.basic.service.mobile;

import com.ycwl.basic.model.wxPay.WXPayOrderReqVO;
import com.ycwl.basic.model.wxPay.WxPayRespVO;
import com.ycwl.basic.model.wxPay.WxchatCallbackSuccessData;

import javax.servlet.http.HttpServletRequest;

public interface WxPayService {

    /**
     * 微信预支付
     */
    WxPayRespVO createOrder(WXPayOrderReqVO req) throws Exception;

    /**
     * 微信支付回调
     */
    void payNotify(HttpServletRequest request);

    /**
     * 微信支付结果查询
     */
    WxchatCallbackSuccessData queryPay(Long orderId);
}
